Page MenuHomePhabricator

After editing a multipage file VE incorrectly shows first page whilst editing (but shows the correct page after saving)
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Go to https://de.wikipedia.org/wiki/Notes_by_an_Oxford_Chiel, start editing the page in VE.
  2. Edit the image (which is a DJVU file with many pages), change something (e.g., add a space to the description).
  3. Commit the edit to the image.

Expected:
The image should still show the specified page.

Actual:
The image shows the first page.

This only affects the view while editing, after saving everything is as expected again.

Event Timeline

Schnark created this task.Dec 8 2017, 9:19 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 8 2017, 9:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana renamed this task from After editing a multipage file, VE shows first page to After editing a multipage file VE incorrectly shows first page whilst editing (but shows the correct page after saving).Dec 13 2017, 12:06 PM
Deskana triaged this task as Low priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to Freezer on the VisualEditor board.

Change 442212 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Pass page parameter for multipage file (PDF, DjVu) thumbnails

https://gerrit.wikimedia.org/r/442212

Change 442212 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Pass page parameter for multipage file (PDF, DjVu) thumbnails

https://gerrit.wikimedia.org/r/442212

matmarex assigned this task to Esanders.Jun 29 2018, 8:21 PM
matmarex removed a project: Patch-For-Review.
Deskana closed this task as Resolved.Jul 2 2018, 3:49 PM